OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.PrimitiveRestart

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVPrimitiveRestart :: MonadIO m => m Bool
- gl_NV_primitive_restart :: Bool
- pattern GL_PRIMITIVE_RESTART_INDEX_NV :: GLenum
- pattern GL_PRIMITIVE_RESTART_NV :: GLenum
- glPrimitiveRestartIndexNV :: MonadIO m => GLuint -> m ()
- glPrimitiveRestartNV :: MonadIO m => m ()

# Extension Support

glGetNVPrimitiveRestart :: MonadIO m => m Bool Source #

Is the NV_primitive_restart extension supported?

gl_NV_primitive_restart :: Bool Source #

Is the NV_primitive_restart extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVPrimitiveRestart` in those cases instead.

# Enums

pattern GL_PRIMITIVE_RESTART_INDEX_NV :: GLenum Source #

pattern GL_PRIMITIVE_RESTART_NV :: GLenum Source #

# Functions

glPrimitiveRestartIndexNV Source #

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> m () |

glPrimitiveRestartNV :: MonadIO m => m () Source #